
def generate_random_sequence(input_sequence, num_samples=10):
    from keras.preprocessing.sequence import pad_sequences
    from keras.utils import to_categorical
    import numpy as np

    # Generate a random sequence based on the input sequence
    random_sequences = []
    for _ in range(num_samples):
        random_index = np.random.randint(0, len(input_sequence))
        random_sequence = input_sequence[random_index:]
        random_sequences.append(random_sequence)

    # Pad the sequences to have the same length
    padded_sequences = pad_sequences(random_sequences, padding='post')

    # Convert sequences to categorical format for model input
    categorical_sequences = to_categorical(padded_sequences)

    return categorical_sequences



